# Internal Function docs

Steps to contribute:
1. Create a appsmith-docs/function-reference/<function>.md file.
2. Follow the [asset-upload](UploadingAssets.md) guidelines to upload and use an asset in the docs.

## Functions docs template
Copy paste this template in the file you are updating
```bash
---
description: >-
  Description of the function
---

# Function Name

## Signature

##
    function signature wrapped in code blocks

#### Arguments

| Argument Name | Description |
| :--- | :--- |
| **Argument Name** |  Argument Description |

## Image / gif of the function being used
```

[Example Doc](https://github.com/appsmithorg/appsmith-docs/blob/v1.2/function-reference/show-modal.md)

